=== debian/changelog ===
plplot (5.10.0-0ubuntu5) trusty; urgency=medium

  * New upstream version.
  * Bump sonames.
  * Build using lua5.2.
  * Build-depend on iwidgets4, still build using Tcl/Tk 8.5, same version
    as used for itcl3.
  * Disable building the octave-plplot package, running the octave tests
    lets the builds hang.
  * Honor nocheck in DEB_BUILD_OPTIONS.
  * Enable verbose builds and tests.
  * Build-depend on xvfb and xauth, run configure using xvfb-run.
  * Fix debian plplot version detection.
  * Remove multiarch path in pkgconfig files.
  * Build-depend on dblatex, openjade, xmlto.
  * plConfig.h: Don't try to include the internal plplot_config.h in the
    installed header file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 12:21:44 +0100

plplot (5.9.9-5ubuntu8) trusty; urgency=medium

  * Remove build dependeny on gnat on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 03:23:18 +0100

plplot (5.9.9-5ubuntu7) trusty; urgency=medium

  * Fix build with Tcl 8.6.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 02:21:19 +0100

plplot (5.9.9-5ubuntu6) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:44 +0000

plplot (5.9.9-5ubuntu5) trusty; urgency=medium

  * rebuild for libqhull6

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 23 Feb 2014 13:41:33 +0100

plplot (5.9.9-5ubuntu4) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:15 +0000

plplot (5.9.9-5ubuntu3) trusty; urgency=low

  * Don't build the gnat bindings on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2013 23:48:35 +0200
