=== debian/control ===
Source: plplot
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Ross <andrewross@users.sourceforge.net>
Standards-Version: 3.9.3
Build-Depends: cmake (>= 2.6.3), debhelper (>= 7), 
 tcl8.5-dev, tk8.5-dev, itcl3-dev, iwidgets4, libx11-dev, libxext-dev,
 libxi-dev, gfortran, itk3-dev, liboctave-dev,
 libgd2-noxpm-dev | libgd2-xpm-dev, m4, libqhull-dev (>= 2003.1-8), 
 libxml-parser-perl, libxml-dom-perl, libltdl3-dev, pkg-config, 
 quilt, slice, python-gtk2-dev, libwxgtk2.8-dev, 
 python-all-dev (>= 2.6.6-3~),
 python-numpy (>= 1:1.4.1-4~), ttf-freefont, default-jdk,
 fastjar, swig, gnat [!arm64 !ppc64el !sh4], libqt4-dev, python-sip-dev, 
 python-qt4, python-qt4-dev,
 ocaml-nox, camlidl, ocaml-findlib, libcairo-ocaml-dev,
 liblablgtk2-ocaml-dev, liblua5.2-dev, lua5.2,
 xvfb, xauth, patch
Build-Depends-Indep: docbook-xml, docbook, docbook-dsssl, docbook-xsl,
 docbook2x, opensp, jadetex, ghostscript, openjade, dblatex, xmlto
Build-Conflicts: libplplot5, libpython3.3-dev, libpython3.4-dev, tcl-dev, tcl8.6
X-Python-Version: >=2.4
Homepage: http://www.plplot.org
Vcs-Svn: https://plplot.svn.sourceforge.net/svnroot/plplot/trunk/debian
Vcs-Browser: http://plplot.svn.sourceforge.net/viewvc/plplot/trunk/debian/

Package: libplplot12
Architecture: any
Section: libs
Conflicts: libplplot9, libplplot11
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: plplot12-driver-xwin, plplot12-driver-gd,
 plplot12-driver-cairo, plplot12-driver-qt, plplot12-driver-wxwidgets, plplot-tcl
Replaces: plplot-bin (<< 5.9.6-1)
Breaks: plplot-bin (<<5.9.6-1)
Description: Scientific plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the PLplot library for C, as well as the necessary
 data files.

Package: libplplot-dev
Architecture: any
Section: libdevel
Recommends: pkg-config, cmake, libplplot-ocaml, libplplot-lua, libplplot-d
Suggests: plplot-doc
Depends: libplplot12 (= ${binary:Version}), libqhull-dev, libfreetype6-dev,
 libltdl3-dev, libqsastime-dev, ${misc:Depends}, 
 libplplot-c++11 (= ${binary:Version}), libplplot-fortran11 (= ${binary:Version})
Breaks: libplplot-fortran9 (<< 5.9.8-1)
Description: Scientific plotting library (development files)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains all that is needed for doing development in C, C++
 and Fortran with PLplot.  Examples of programs for these languages are
 also included.  For development in Tcl/Tk, Python, Octave, Ada and Java 
 install the plplot-tcl-dev, python-plplot, octave-plplot, libplplot-ada0-dev
 and libplplot-java packages, respectively. This package also includes the 
 OCaml, lua and D examples. To use one of these languages you will also 
 need to install the libplplot-xxx package for that language.

Package: libplplot-c++11
Architecture: any
Section: libs
Conflicts: libplplot5, libplplot-c++9, libplplot-c++9c2, libplplot-c++10
Replaces: libplplot-c++9c2, libplplot-c++10
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (C++ binding)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the C++ binding for PLplot.

Package: libplplot-fortran11
Architecture: any
Section: libs
Depends: ${shlibs:Depends}  , ${misc:Depends}
Description: Scientific plotting library (fortran bindings)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Fortran 77 and Fortran 95 bindings for
 PLplot. Note: the Fortran 77 bindings have been deprecated in the latest
 version of PLplot, and will be dropped from a future release. New code
 should use the Fortran 95 bindings.

Package: libplplot-java
Architecture: any
Section: java
Conflicts: libplplot9-java
Replaces: libplplot9-java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (Java bindings)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Java bindings for PLplot.

Package: libcsiro0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (CSIRO libraries)
 This package contains two libraries developed by Pavel Sakov, from the
 CSIRO Marine Research, used in geometry applications:
 .
  * libcsirocsa: bivariate Cubic Spline Approximation library
  * libcsironn: Natural Neighbours interpolation library
 .
 The source code for these libraries are part of the plplot source
 package.

Package: libqsastime0
Architecture: any
Section: libs
Conflicts: libplplot9
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Time format conversion library
 The qsastime library is a simple library for handling time format
 conversion. It overcomes the limitations of the POSIX time handling
 routines by allow high precision time variables over a large range
 of ranges of dates and by correctly handling leap seconds. It was
 designed with the needs of scientific data plotting in mind. This 
 package provides the runtime library.
 .
 The source code for this library is part of the plplot source
 package.

Package: libqsastime-dev
Architecture: any
Section: libdevel
Breaks: libplplot-dev (<< 5.9.8-1)
Depends: libqsastime0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Time format conversion library (development files)
 The qsastime library is a simple library for handling time format
 conversion. It overcomes the limitations of the POSIX time handling
 routines by allow high precision time variables over a large range
 of ranges of dates and by correctly handling leap seconds. It was
 designed with the needs of scientific data plotting in mind. This 
 package provides the necessary files to do development with 
 libqsastime.
 .
 The source code for this library is part of the plplot source
 package.

Package: plplot12-driver-xwin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plplot9-driver-xwin, plplot11-driver-xwin
Replaces: plplot9-driver-xwin, plplot11-driver-xwin
Description: Scientific plotting library (X11 driver)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package provides the X11 driver module for PLplot.

Package: plplot12-driver-wxwidgets
Architecture: any
Section: libs
Depends: libplplot12, ${shlibs:Depends}, ${misc:Depends}
Conflicts: plplot9-driver-wxwidgets, plplot11-driver-wxwidgets
Replaces: plplot9-driver-wxwidgets, plplot11-driver-wxwidgets
Description: Scientific plotting library (wxWidgets driver)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package provides the wxWidgets driver module for PLplot.

Package: plplot-tcl
Architecture: any
Depends: plplot12-driver-xwin, iwidgets4, ${shlibs:Depends}, ${misc:Depends}
Description: Tcl/Tk support for PLplot, a plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Tcl/Tk support for PLplot: shared libraries,
 Tcl modules, the Tk driver, and some programs for interactive use of
 PLplot (plserver and pltcl). 

Package: plplot-tcl-dev
Architecture: any
Depends: libplplot12 (= ${binary:Version}), plplot-tcl, ${misc:Depends}
Breaks: plplot-tcl (<= 5.2.0.cvs.20030224-1)
Description: Tcl/Tk development support for PLplot, a plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the necessary files to do development in Tcl/Tk
 with PLplot: header files, shared libraries links, and examples.

Package: plplot12-driver-gd
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plplot9-driver-gd, plplot11-driver-gd
Replaces: plplot9-driver-gd, plplot11-driver-gd
Recommends: ttf-freefont
Description: Scientific plotting library (GD driver)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
