=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  http://sf.net/plplot/plplot-(.*)\.tar\.gz
